explain_chmod_or_die(3)

NAME
explain_chmod_or_die - change permissions of a file and report errors

SYNOPSIS
#include <libexplain/chmod.h>
void explain_chmod_or_die(const char *pathname, int mode);

DESCRIPTION
The explain_chmod_or_die function is used to call the chmod(2) system call. On failure an explanation wiil be printed to stderr, obtained from explain_chmod(3), and the the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_chmod_or_die(pathname, mode);

pathname
    The pathname, exactly as to be passed to the chmod(2) system call.

mode
    The mode, exactly as to be passed to the chmod(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exit(EXIT_FAILURE)s.

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller

AUTHOR
Written by Peter Miller <pmiller@opensource.org.au>